<?php 
$h1 = $filter_heads ? 'h2' : 'h1';
$h2 = $filter_heads ? 'h3' : 'h2';
?>
<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Strict//EN"
  "http://www.w3.org/TR/xhtml1/DTD/xhtml1-strict.dtd">
<html xmlns="http://www.w3.org/1999/xhtml" xml:lang="<?php print $language ?>" lang="<?php print $language ?>">
  <head>
    <title><?php print $head_title ?></title>
    <?php print $head ?>
    <?php print $styles ?>
    <?php print $scripts ?>
  </head>
  <body>
  <div id="embed-widgets-header'">
  <?php
    // Prepare header
    $site_fields = array();
    if ($site_name) {
      $site_fields[] = $site_name;
    }
    if ($site_slogan) {
      $site_fields[] = $site_slogan;
    }
    $site_title = implode(' ', $site_fields);

    if ($logo || $site_title) {
      print '<'. $h1 .'>';
      if ($logo) {
        print '<img src="'. check_url($logo) .'" alt="'. $site_title .'" id="logo" />';
      }
      if ($site_title) {
        print $site_title .'</'. $h1 .'>';
      }
    }
  ?>
  <?php if ($primary_links) : ?>
    <?php print theme('links', $primary_links, array('class' => 'links primary-links')) ?>
  <?php endif; ?>
  <?php if ($secondary_links) : ?>
    <?php print theme('links', $secondary_links, array('class' => 'links secondary-links')) ?>
  <?php endif; ?>
  <?php if ($search_box): ?><div class="block block-theme"><?php print $search_box ?></div><?php endif; ?>
  </div>
  <div id="embed-widgets-main">
  <?php if ($breadcrumb): print $breadcrumb; endif; ?>
  <?php if ($mission): print '<div id="mission">'. $mission .'</div>'; endif; ?>

  <?php if ($tabs): print '<div id="tabs-wrapper" class="clear-block">'; endif; ?>
  <?php if ($title): print '<'. $h2 . ($tabs ? ' class="with-tabs"' : '') .'>'. $title .'</'. $h2 .'>'; endif; ?>
  <?php if ($tabs): print $tabs .'</div>'; endif; ?>
  <?php if ($help): print $help; endif; ?>
  <?php if ($messages): print $messages; endif; ?>
  <?php print $content ?>
  <span class="clear"></span>
  <?php if ($feed_icons): print $feed_icons; endif; ?>
  <?php if ($feed_icons): print $feed_icons; endif; ?>
  <?php if ($footer_message): print '<div id="footer">'. $footer_message .'</div>'; endif; ?>
  <?php print $closure ?>
  </body>
</html>
